{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>List</title>
        <link rel="stylesheet" href="{% static 'css/app.css' %}" />
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'create_project' %}">Create Project</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>My Projects</h1>
                {% if not project_list %}
                    <p>You are not assigned to any projects.</p>
                {% else %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Number of tasks</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for activity in project_list %}
                                <tr>
                                    <td>
                                        <a href="{% url 'show_project' activity.pk %}">
                                            {{ activity.name }}
                                        </a>
                                    </td>
                                    <td>{{ activity.tasks.all|length }}</td>
                            {% endfor %}
                        </tr>
                {% endif %}
            </tbody>
        </table>
    </div>
</main>
<footer></footer>
</body>
</html>
